import {AbstractIdmValidator} from "./AbstractIdmValidator";

export class IdmLoginValidator extends AbstractIdmValidator {
  protected ERROR_MESSAGE = "Пользователь с указанным логином уже существует";

  protected checkValueExists(value: string): Promise<boolean> {
    return this.rpcService.valueExists(value);
  }

  protected isPatternValid(value: string): boolean {
    let pattern = this.context.pattern;
    return pattern ? new RegExp(pattern).test(value) : true;
  }
}